#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 34. GNOME Applications

- Prev

  Baobab-50.0

- Next

  Evince-48.1

- Up
- Home

# Brasero-3.12.3

## Introduction to Brasero

Brasero is an application used to burn CDs and DVDs on the GNOME Desktop. It is designed to be as simple as possible and has some unique features that enable users to create their discs easily and quickly.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/brasero/3.12/brasero-3.12.3.tar.xz

- Download MD5 sum: ae48248dd36f89282d573eb7a0a1391f

- Download size: 3.0 MB

- Estimated disk space required: 105 MB

- Estimated build time: 1.0 SBU

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/svn/brasero-3.12.3-upstream_fixes-1.patch

### Brasero Dependencies

#### Required

gst-plugins-base-1.28.2, Intltool-0.51.0, itstool-2.0.7, libcanberra-0.30, and libnotify-0.8.8

#### Recommended

GLib-2.88.0 (with GObject Introspection), libburn-1.5.8, libisoburn-1.5.8, and libisofs-1.5.8.pl01, Nautilus-50.1, tinysparql-3.11.1, and totem-pl-parser-3.26.7

#### Optional

GTK-Doc-1.36.1

#### Recommended (Runtime)

dvd+rw-tools-7.1 and Gvfs-1.60.0

#### Optional (Runtime)

Cdrdao-1.2.6, libdvdcss-1.5.0, Cdrtools-3.02a09, and VCDImager

## Installation of Brasero

First, fix a build issue that occurs with GCC-14:

    patch -Np1 -i ../brasero-3.12.3-upstream_fixes-1.patch

Install Brasero by running the following commands:

    ./configure --prefix=/usr                \
                --enable-compile-warnings=no \
                --enable-cxx-warnings=no     \
                --disable-nautilus           &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-*-warnings=no`: These switches fix build problems under GCC-6.x compilers.

`--disable-nautilus`: This switch disables building the Nautilus extension since it is incompatible with the gtk4 version of Nautilus.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: brasero
Installed Libraries: libbrasero-{burn,media,utils}3.so
Installed Directories: /usr/include/brasero3, /usr/lib/brasero3, /usr/share/brasero, /usr/share/gtk-doc/html/libbrasero-{burn,media}, and /usr/share/help/*/brasero

### Short Descriptions

brasero | is a simple and easy to use CD/DVD burning application for the GNOME Desktop
`libbrasero-burn3.so` | contains the Burning API functions
`libbrasero-media3.so` | contains the Media API functions
`libbrasero-utils3.so` | contains the Brasero API functions

- Prev

  Baobab-50.0

- Next

  Evince-48.1

- Up
- Home